# CallResponse

data class CallResponse (val body: String = Constants.EMPTY_JSON, val message: String = "", val description: String = "", val statusCode: Int = -1)(source)

Provides a data class to hold the JSON response.

#### Parameters

body

The response body.

message

Bitly error message, if any.

description

Bitly error description, if any.

statusCode

HTTP status code,

## Constructors

CallResponse
Link copied to clipboard
constructor(body: String = Constants.EMPTY_JSON, message: String = "", description: String = "", statusCode: Int = -1)

## Properties

body
Link copied to clipboard
val body : String
description
Link copied to clipboard
val description : String
isBadRequest
Link copied to clipboard
val isBadRequest : Boolean
isCreated
Link copied to clipboard
val isCreated : Boolean
isExpectationFailed
Link copied to clipboard
val isExpectationFailed : Boolean
isForbidden
Link copied to clipboard
val isForbidden : Boolean
isGone
Link copied to clipboard
val isGone : Boolean
isInternalError
Link copied to clipboard
val isInternalError : Boolean
isNotFound
Link copied to clipboard
val isNotFound : Boolean
isSuccessful
Link copied to clipboard
val isSuccessful : Boolean
isTemporarilyUnavailable
Link copied to clipboard
val isTemporarilyUnavailable : Boolean
isTooManyRequests
Link copied to clipboard
val isTooManyRequests : Boolean
isUnprocessableEntity
Link copied to clipboard
val isUnprocessableEntity : Boolean
isUpgradeRequired
Link copied to clipboard
val isUpgradeRequired : Boolean
message
Link copied to clipboard
val message : String
statusCode
Link copied to clipboard
val statusCode : Int